LibreOffice LibreOffice 7.2 SDK API Reference

Modules | Variables
ImageScaleMode.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::awt
| Java AWT-like user interface toolkit interface specifications for UNO.

## Constant Groups
constants | com::sun::star::awt::ImageScaleMode
| defines modes how an image displayed in a given area should be scaled to fit this area

## Variables
const short | NONE = 0
| specifies that no scaling should happen at all More...
const short | ISOTROPIC = 1
| specifies that the image should be scaled up or down to the size of the surrounding area isotropically, i.e. More...
const short | ANISOTROPIC = 2
| specifies that the image should be scaled up or down to the size of the surrounding area anisotropically. More...